Apache JMeter

## org.apache.jmeter.protocol.jdbc.processor
Class JDBCPreProcessor

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement
              org.apache.jmeter.protocol.jdbc.processor.AbstractJDBCProcessor
                  org.apache.jmeter.protocol.jdbc.processor.JDBCPreProcessor

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, PreProcessor, TestBean, TestElement, TestListener

    public class JDBCPreProcessor

extends AbstractJDBCProcessor
implements TestBean, PreProcessor

Preprocessor handling JDBC Requests

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement
`ENCODING`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`JDBCPreProcessor()`

Method Summary
`void` `process()` Calls the JDBC code to be executed.

Methods inherited from class org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement
`close, close, close, execute, getDataSource, getQuery, getQueryArguments, getQueryArgumentsTypes, getQueryType, getResultVariable, getSearchableTokens, getVariableNames, setDataSource, setQuery, setQueryArguments, setQueryArgumentsTypes, setQueryType, setResultVariable, setVariableNames, testEnded, testEnded, testIterationStart, testStarted, testStarted, toString`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBCPreProcessor

    public JDBCPreProcessor()

Method Detail

### process

    public void process()

  Description copied from class: `AbstractJDBCProcessor`
  Calls the JDBC code to be executed.

  Specified by:
    `process` in interface `PreProcessor`
  Overrides:
    `process` in class `AbstractJDBCProcessor`

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.